summaryrefslogtreecommitdiff
path: root/release
diff options
context:
space:
mode:
authorGravatar Karl Ramm <kcr@1ts.org>2011-11-30 02:15:56 -0500
committerGravatar Karl Ramm <kcr@1ts.org>2011-12-01 01:57:39 -0500
commit3130aa4bd31eb5b0ce0d1bba53d68ed7e236df55 (patch)
tree8605d946e3cee256384919d623ccc6e28e38a204 /release
parent9034f928689b0ff1f8122cb8509a89e42a5c7fe1 (diff)
release armature
Diffstat (limited to 'release')
-rwxr-xr-xrelease28
1 files changed, 28 insertions, 0 deletions
diff --git a/release b/release
new file mode 100755
index 0000000..caf8bcd
--- /dev/null
+++ b/release
@@ -0,0 +1,28 @@
+#!/bin/sh -x
+
+VERSION=$1
+if test -z "$VERSION"; then
+ echo $0: usage: $0 version
+ exit 1
+fi
+
+if test -n "$(git status --porcelain)"; then
+ echo $0: git status is wordy, you probably want to stash and note your branch
+ exit 2
+fi
+git tag $VERSION -m 'release $VERSION'
+git checkout --detach
+git clean -fxd
+git rm .gitignore
+git rm -r debian
+git rm release
+echo $VERSION > VERSION
+sed -e "s/@VERSION@/$VERSION/" README.in > README
+git rm README.in
+libtoolize -ic
+autoreconf
+git add -A
+git commit -m "release $VERSION"
+git tag release/$VERSION -m "release $VERSION processed for git archive"
+
+git checkout master